Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation
Class AnnotationCTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.aspectwerkz.annotation.AnnotationCTask

    public class AnnotationCTask

extends org.apache.tools.ant.Task

AnnotationC Ant task.

Use the following parameters to configure the task:

- verbose: [optional] flag marking the task verbosity [true / false]
- properties: [optional] path to a properties file when user-defined annoations are to be used
- destdir: [optional unless input classes are in more than one path] directory where to put annnotated class files
- copytodest: [optional] filename pattern to copy extra resources like dtd, xml, or properties files that were found in the input classes path(s). By defaults, only ".class" files will be handled. It is ignored if "destdir" is not set.

Use the following parameters to configure the classpath to point to the classes to be weaved. Those can be specified with nested elements as well / instead:

- properties path=..: extra path to a properties file when user-defined annoations are to be used
- classpath: classpath of classes to annotated, as well as classpath to discover user-defined annotations if any
- classpathref: classpath reference of classes to annotated, as well as classpath to discover user-defined annotations if any
- srcdir: directory where to find annotated java source files
- sourcepath: path where to find annotated java source files
- sourcepathref: path reference where to find annotated java source files

Nested elements are similar to the "javac" task when you configure a classpath and a sourcepath:

- classpath: Path-like structure of classes to annotated, as well as classpath to discover user-defined annotations if any
- src: single path entry of annotated java source files
- sourcepath: Path-like structure of annotated java source files
- fileset: fileset to contain annotated java source files

Author:
  the_mindstorm(at)evolva(dot)ro, Alexandre Vasseur

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AnnotationCTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet fileset)`
`org.apache.tools.ant.types.Path` | `createClasspath()`
`org.apache.tools.ant.types.Path` | `createProperties()`
`org.apache.tools.ant.types.Path` | `createSourcepath()`
`org.apache.tools.ant.types.Path` | `createSrc()`
`void` | `execute()`
`void` | `setClasspath(org.apache.tools.ant.types.Path classpath)`
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setCopytodest(String pattern)`
`void` | `setDestdir(File destdir)`
`void` | `setProperties(File annotationFile)`
`void` | `setSourcepath(org.apache.tools.ant.types.Path sourcepath)`
`void` | `setSourcepathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setSrcdir(org.apache.tools.ant.types.Path srcDir)`
`void` | `setVerbose(boolean isVerbose)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationCTask

    public AnnotationCTask()

Method Detail

### setProperties

    public void setProperties(File annotationFile)

  Parameters:
    `annotationFile` -

### setVerbose

    public void setVerbose(boolean isVerbose)

  Parameters:
    `isVerbose` -

### setCopytodest

    public void setCopytodest(String pattern)

  Parameters:
    `pattern` -

### setDestdir

    public void setDestdir(File destdir)

  Parameters:
    `destdir` -

### createProperties

    public org.apache.tools.ant.types.Path createProperties()

### createSrc

    public org.apache.tools.ant.types.Path createSrc()

### setSrcdir

    public void setSrcdir(org.apache.tools.ant.types.Path srcDir)

### setSourcepath

    public void setSourcepath(org.apache.tools.ant.types.Path sourcepath)

### createSourcepath

    public org.apache.tools.ant.types.Path createSourcepath()

### setSourcepathRef

    public void setSourcepathRef(org.apache.tools.ant.types.Reference r)

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet fileset)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.